Export to PDF changes feature colours

2012-11-27 02:33 PM - Nathan Woodrow

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15925

Description

This seems really strange but for some reason the colours are getting changed when I export my map to PDF using the composer.

I get the following colour shift:

Colour Map RGB Output RGB

RED 255,0,0 238,40,39

GREEN 0,255,0 103,191,79

BLUE 0,0,255 55,85,164

To reproduce:

Create a map with three features and style them with each colour above

Export using Export to PDF in the composer

Check with a colour picker tool

History

#1 - 2012-11-27 02:43 PM - Nathan Woodrow

- File imagevpdf.png added

Rendering to SVG or image returns the correct results

imagevpdf.png

#2 - 2012-12-01 09:45 AM - Regis Haubourg

Hi 

I noticed same behaviour, with colors no as colorfull as on screen.  

I checked with to different pdf reader, and saw that foxit reader shows colors more close to QGIS ones. Is there any color profile applied somewhere, that

should be described into pdf export?

Régis

#3 - 2013-02-25 05:52 AM - Henrik Uggla

- File raster.pdf added

- File vector.pdf added
I too have encountered this. The color in exported pdf files is correct only if "Print as raster" is checked in Qgis composer (see attached files).

#4 - 2013-02-26 12:56 AM - Henrik Uggla

This bug is not present in ubuntugis.

#5 - 2014-06-21 03:59 AM - Jürgen Fischer

- Category set to Map Composer/Printing

#6 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#7 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

imagevpdf.png 153 KB 2012-11-27 Nathan Woodrow

vector.pdf 359 KB 2013-02-25 Henrik Uggla

raster.pdf 758 KB 2013-02-25 Henrik Uggla
